Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Class ACRFEvaluator

    java.lang.Object
      cc.mallet.grmm.learning.ACRFEvaluator

Direct Known Subclasses:
  AcrfSerialEvaluator, DefaultAcrfTrainer.FileEvaluator, DefaultAcrfTrainer.LogEvaluator, MultiSegmentationEvaluatorACRF

    public abstract class ACRFEvaluator

extends java.lang.Object

Created: Sun Jan 25 23:28:45 2004

Version:
  $Id: ACRFEvaluator.java,v 1.1 2007/10/22 21:37:43 mccallum Exp $
Author:
  Charles Sutton

Constructor Summary
`ACRFEvaluator()`

Method Summary
`abstract boolean` | `evaluate(ACRF acrf, int iter, InstanceList training, InstanceList validation, InstanceList testing)` Evalutes the model in the middle of training.
`protected java.io.File` | `makeOutputFile()`
`void` | `setNumIterToSkip(int n)`
`void` | `setNumIterToWait(int n)`
`void` | `setOutputPrefix(java.io.File file)`
`protected boolean` | `shouldDoEvaluate(int iter)`
`void` | `test(ACRF acrf, InstanceList data, java.lang.String description)`
`abstract void` | `test(InstanceList gold, java.util.List returned, java.lang.String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACRFEvaluator

    public ACRFEvaluator()

Method Detail

### setNumIterToSkip

    public void setNumIterToSkip(int n)

### setNumIterToWait

    public void setNumIterToWait(int n)

### evaluate

    public abstract boolean evaluate(ACRF acrf,
                                     int iter,
                                     InstanceList training,
                                     InstanceList validation,
                                     InstanceList testing)

  Evalutes the model in the middle of training.

  Parameters:
    `acrf` - Model tha is being trained.
    `iter` - How many iterations have been completed.
    `training` - Training set.
    `validation` - Validation set; may be null.
    `testing` - Testing set; maybe null.
  Returns:
    Whether to continue training. If return is false, training should be be stopped.

### test

    public abstract void test(InstanceList gold,
                              java.util.List returned,
                              java.lang.String description)

### test

    public void test(ACRF acrf,
                     InstanceList data,
                     java.lang.String description)

### setOutputPrefix

    public void setOutputPrefix(java.io.File file)

### makeOutputFile

    protected java.io.File makeOutputFile()

### shouldDoEvaluate

    protected boolean shouldDoEvaluate(int iter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD